Subject: Re: Use of chroot in SCO r5

From: Ian Willis <[email-masked]>
Date: Mon, 6 Jul 98 11:46:48 BST

You need to create all the same device files, libraries and binaries
under the chroot that you would when setting up anonymous FTP,
/dev/socksys can be created by executing as root:
ls /dev/socksys | cpio -p chrootdir

Note in SCO OpenServer 5 /dev/socksys is required by COFF binaries,
if you produce an ELF ftpd binary it won't be needed (see the comment
at the top of src/makefiles/Makefile.sco on how to build ELF).

You can achieve a chroot for users without modifying ftpd.c, see the
guestgroup access capability on the ftpaccess manual page and the
guest howto: ftp://ftp.fni.com/pub/wu-ftpd/guest-howto

Ian Willis
SCO Internet Engineering Group, Watford, UK

| Christian Garcia Arellano ([email-masked])
| Thu, 02 Jul 1998 07:11:43 -0300
| 
| Hi! I'm new in the list. I was trying to make ftpd more secure, creating
| a file /etc/ftpdir with users and directories there, and applying chroot
| to those directories when the user logs on (like if they were anonymous
| users, but with a special root for each user). I modified ftpd.c and it
| worked well in AIX, but it didn't work in SCO r5. When it tries to
| create the socket, it calls open("/dev/socksys"...) and it fails because
| I have already changed the root, and the file /dev/socksys doesn't exist
| any more.
| Can anyone help me? Thanks in advance,
| 
| Christian Garcia Arellano
| (from Argentina)